## Index

### Classes

- ButtonIconImp

### Interfaces

- Classes
- InjectSheetProps

### Type aliases

- ButtonIconProps

### Variables

- ButtonIcon

### Object literals

- styles

## Type aliases

### ButtonIconProps

ButtonIconProps: ButtonProps & object

- Defined in components/ButtonIcon/index.tsx:7

## Variables

### Const ButtonIcon

ButtonIcon: ComponentClass<ButtonOwnProps & HTMLProps<HTMLButtonElement> & object, any> | StatelessComponent<ButtonOwnProps & HTMLProps<HTMLButtonElement> & object> = injectSheet(styles)(ButtonIconImp) as unknown as React.ComponentType<ButtonIconProps>

- Defined in components/ButtonIcon/index.tsx:110

## Object literals

### Const styles

styles: object

- Defined in components/ButtonIcon/index.tsx:24

### button

button: object

- Defined in components/ButtonIcon/index.tsx:25

### paddingLeft

paddingLeft: number = 0

- Defined in components/ButtonIcon/index.tsx:26

### paddingRight

- paddingRight(__namedParameters: object): "10px" | "0px"

- - Defined in components/ButtonIcon/index.tsx:27

  #### Parameters

  - ##### __namedParameters: object

    - ##### text: undefined | string

  #### Returns "10px" | "0px"

### buttonText

buttonText: object

- Defined in components/ButtonIcon/index.tsx:29

### verticalAlign

verticalAlign: string = "top"

- Defined in components/ButtonIcon/index.tsx:30

Generated using TypeDoc